Package com.sap.ai.sdk.prompt.registry.model

# Class AzureContentSafetyOutput

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.AzureContentSafetyOutput

public class AzureContentSafetyOutput extends Object
Filter configuration for Azure Content Safety

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AzureContentSafetyOutput()`
  Default constructor for AzureContentSafetyOutput.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AzureContentSafetyOutput`
  `create()`
  Create a new `AzureContentSafetyOutput` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AzureContentSafetyOutput`.
  `AzureThreshold`
  `getHate()`
  Get hate
  `AzureThreshold`
  `getSelfHarm()`
  Get selfHarm
  `AzureThreshold`
  `getSexual()`
  Get sexual
  `AzureThreshold`
  `getViolence()`
  Get violence
  `int`
  `hashCode()`
  `AzureContentSafetyOutput`
  `hate(AzureThreshold hate)`
  Set the hate of this `AzureContentSafetyOutput` instance and return the same instance.
  `Boolean`
  `isProtectedMaterialCode()`
  Detect protected code content from known GitHub repositories.
  `AzureContentSafetyOutput`
  `protectedMaterialCode(Boolean protectedMaterialCode)`
  Set the protectedMaterialCode of this `AzureContentSafetyOutput` instance and return the same instance.
  `AzureContentSafetyOutput`
  `selfHarm(AzureThreshold selfHarm)`
  Set the selfHarm of this `AzureContentSafetyOutput` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AzureContentSafetyOutput` instance.
  `void`
  `setHate(AzureThreshold hate)`
  Set the hate of this `AzureContentSafetyOutput` instance.
  `void`
  `setProtectedMaterialCode(Boolean protectedMaterialCode)`
  Set the protectedMaterialCode of this `AzureContentSafetyOutput` instance.
  `void`
  `setSelfHarm(AzureThreshold selfHarm)`
  Set the selfHarm of this `AzureContentSafetyOutput` instance.
  `void`
  `setSexual(AzureThreshold sexual)`
  Set the sexual of this `AzureContentSafetyOutput` instance.
  `void`
  `setViolence(AzureThreshold violence)`
  Set the violence of this `AzureContentSafetyOutput` instance.
  `AzureContentSafetyOutput`
  `sexual(AzureThreshold sexual)`
  Set the sexual of this `AzureContentSafetyOutput` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AzureContentSafetyOutput` instance including unrecognized properties.
  `String`
  `toString()`
  `AzureContentSafetyOutput`
  `violence(AzureThreshold violence)`
  Set the violence of this `AzureContentSafetyOutput` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AzureContentSafetyOutput

    protected AzureContentSafetyOutput()
    Default constructor for AzureContentSafetyOutput.

- ## Method Details

  - ### hate

    @Nonnull public AzureContentSafetyOutput hate(@Nullable AzureThreshold hate)
    Set the hate of this `AzureContentSafetyOutput` instance and return the same instance.
    Parameters:
      `hate` - The hate of this `AzureContentSafetyOutput`
    Returns:
      The same instance of this `AzureContentSafetyOutput` class

  - ### getHate

    @Nonnull public AzureThreshold getHate()
    Get hate
    Returns:
      hate The hate of this `AzureContentSafetyOutput` instance.

  - ### setHate

    public void setHate(@Nullable AzureThreshold hate)
    Set the hate of this `AzureContentSafetyOutput` instance.
    Parameters:
      `hate` - The hate of this `AzureContentSafetyOutput`

  - ### selfHarm

    @Nonnull public AzureContentSafetyOutput selfHarm(@Nullable AzureThreshold selfHarm)
    Set the selfHarm of this `AzureContentSafetyOutput` instance and return the same instance.
    Parameters:
      `selfHarm` - The selfHarm of this `AzureContentSafetyOutput`
    Returns:
      The same instance of this `AzureContentSafetyOutput` class

  - ### getSelfHarm

    @Nonnull public AzureThreshold getSelfHarm()
    Get selfHarm
    Returns:
      selfHarm The selfHarm of this `AzureContentSafetyOutput` instance.

  - ### setSelfHarm

    public void setSelfHarm(@Nullable AzureThreshold selfHarm)
    Set the selfHarm of this `AzureContentSafetyOutput` instance.
    Parameters:
      `selfHarm` - The selfHarm of this `AzureContentSafetyOutput`

  - ### sexual

    @Nonnull public AzureContentSafetyOutput sexual(@Nullable AzureThreshold sexual)
    Set the sexual of this `AzureContentSafetyOutput` instance and return the same instance.
    Parameters:
      `sexual` - The sexual of this `AzureContentSafetyOutput`
    Returns:
      The same instance of this `AzureContentSafetyOutput` class

  - ### getSexual

    @Nonnull public AzureThreshold getSexual()
    Get sexual
    Returns:
      sexual The sexual of this `AzureContentSafetyOutput` instance.

  - ### setSexual

    public void setSexual(@Nullable AzureThreshold sexual)
    Set the sexual of this `AzureContentSafetyOutput` instance.
    Parameters:
      `sexual` - The sexual of this `AzureContentSafetyOutput`

  - ### violence

    @Nonnull public AzureContentSafetyOutput violence(@Nullable AzureThreshold violence)
    Set the violence of this `AzureContentSafetyOutput` instance and return the same instance.
    Parameters:
      `violence` - The violence of this `AzureContentSafetyOutput`
    Returns:
      The same instance of this `AzureContentSafetyOutput` class

  - ### getViolence

    @Nonnull public AzureThreshold getViolence()
    Get violence
    Returns:
      violence The violence of this `AzureContentSafetyOutput` instance.

  - ### setViolence

    public void setViolence(@Nullable AzureThreshold violence)
    Set the violence of this `AzureContentSafetyOutput` instance.
    Parameters:
      `violence` - The violence of this `AzureContentSafetyOutput`

  - ### protectedMaterialCode

    @Nonnull public AzureContentSafetyOutput protectedMaterialCode(@Nullable Boolean protectedMaterialCode)
    Set the protectedMaterialCode of this `AzureContentSafetyOutput` instance and return the same instance.
    Parameters:
      `protectedMaterialCode` - Detect protected code content from known GitHub repositories. The scan includes software libraries, source code, algorithms, and other proprietary programming content.
    Returns:
      The same instance of this `AzureContentSafetyOutput` class

  - ### isProtectedMaterialCode

    @Nonnull public Boolean isProtectedMaterialCode()
    Detect protected code content from known GitHub repositories. The scan includes software libraries, source code, algorithms, and other proprietary programming content.
    Returns:
      protectedMaterialCode The protectedMaterialCode of this `AzureContentSafetyOutput` instance.

  - ### setProtectedMaterialCode

    public void setProtectedMaterialCode(@Nullable Boolean protectedMaterialCode)
    Set the protectedMaterialCode of this `AzureContentSafetyOutput` instance.
    Parameters:
      `protectedMaterialCode` - Detect protected code content from known GitHub repositories. The scan includes software libraries, source code, algorithms, and other proprietary programming content.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AzureContentSafetyOutput`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AzureContentSafetyOutput` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AzureContentSafetyOutput` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AzureContentSafetyOutput` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AzureContentSafetyOutput create()
    Create a new `AzureContentSafetyOutput` instance. No arguments are required.